Meta: Remove check-ak-test-files script

This script only checks Tests/AK, and verifies that all source files
that match Tests/AK/*.cpp are listed in the CMakeLists.txt.

This is a bit excessive. We don't have this check for any other test
files. This sort of error will definitely ™️ be caught in review.
This commit is contained in:
Andrew Kaster 2024-09-09 13:19:54 -06:00 committed by Andreas Kling
parent 9356c967d7
commit 0427646883
Notes: github-actions[bot] 2024-09-10 05:40:23 +00:00
2 changed files with 0 additions and 26 deletions

View file

@ -1,25 +0,0 @@
#!/usr/bin/env bash
set -eo pipefail
script_path=$(cd -P -- "$(dirname -- "$0")" && pwd -P)
cd "${script_path}/.."
MISSING_FILES=n
while IFS= read -r FILENAME; do
# Simply search whether the CMakeLists.txt *ever* mention the test files.
if ! grep -qF "${FILENAME}" Tests/AK/CMakeLists.txt ; then
echo "Tests/AK/CMakeLists.txt is either missing the test file ${FILENAME} or is not in the commit's staged changes"
MISSING_FILES=y
fi
done < <(
git ls-files 'Tests/AK/Test*.cpp' | xargs -n1 basename
)
if [ "n" != "${MISSING_FILES}" ] ; then
echo "Some files are missing from the Tests/AK/CMakeLists.txt."
echo "If a new test file is being added, ensure it is in the CMakeLists.txt."
echo "This ensures the new tests are always run."
exit 1
fi

View file

@ -14,7 +14,6 @@ FAILURES=0
set +e
for cmd in \
Meta/check-ak-test-files.sh \
Meta/check-debug-flags.sh \
Meta/check-newlines-at-eof.py \
Meta/check-png-sizes.sh \